<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Project List</title>
</head>
<body>
    <header><nav><ul>
        {% if user.is_authenticated %}
        <li> <a href="{% url "show_my_tasks" %}">My Tasks</a></li>
        <li><a href="{% url "list_projects" %}">My Projectss</a></li>
        <li><a href="{% url "logout" %}">Logout</a></li>
        {% else %}
        <li><a href="{% url "login" %}">Login</a></li>
        <li><a href="{% url "signup" %}">Signup</a></li>
        {% endif %}
      </ul></nav></header>
  
    <main>
        <div>
            <h1> My Projects </h1>
            <a href="{% url 'create_project' %}">Create Project</a> 
                {% if project_list|length == 0 %} 
                <p>You are not assigned to any projects</p>
                {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {%for project in project_list%}
                        <tr>
                            <td><a href="{% url 'show_project' project.id %}">{{project.name}}</a></td>
                            <td>{{project.tasks.all|length}}</td>
                        </tr>
                        {%endfor%}
                    </tbody>
                </table>
                {%endif%}
        </div>
    </main>   
    
</body>
</html>